package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$23 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("0017858FEB7A98975169E171F77B4087DE098AC8A911DF7B01");
      BigInteger var1 = SECNamedCurves.access$0("00FDFB49BFE6C3A89FACADAA7A1E5BBC7CC1C2E5D831478814");
      byte[] var2 = Hex.decode("103FAEC74D696E676875615175777FC5B191EF30");
      BigInteger var3 = SECNamedCurves.access$0("01000000000000000000000000C7F34A778F443ACC920EBA49");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(193, 15, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0401F481BC5F0FF84A74AD6CDF6FDEF4BF6179625372D8C0C5E10025E399F2903712CCF3EA9E3A1AD17FB0B3201B6AF7CE1B05"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
